PDA

View Full Version : 6.0 Nightly on a Freebsd box



Thomas J. Angstman
2005-03-07, 11:30
I installed 6.0 by extracting the files to /usr/local/slimserver.



Copied my old slimserver.sh into /usr/local/etc/rc.d - this simply runs
slimserver.pl with the -daemon switch.



Running the slimserver.sh script returns the following:





/usr/local/etc/rc.d/slimserver.sh



Can't locate auto/Compress/Zlib/autosplit.ix in @INC (@INC contains:
/usr/local/slimserver /usr/local/slimserver/CPAN
/usr/local/slimserver/CPAN/arch/5.8.6/i386-freebsd-64int
/usr/local/slimserver/CPAN/arch/5.8.6/i386-freebsd-64int/auto
/usr/local/slimserver/CPAN/arch/5.8/i386-freebsd-64int
/usr/local/slimserver/CPAN/arch/5.8/i386-freebsd-64int/auto
/usr/local/slimserver/CPAN/arch/i386-freebsd-64int
/usr/local/lib/perl5/site_perl/5.8.6/mach
/usr/local/lib/perl5/site_perl/5.8.6 /usr/local/lib/perl5/site_perl
/usr/local/lib/perl5/5.8.6/BSDPAN /usr/local/lib/perl5/5.8.6/mach
/usr/local/lib/perl5/5.8.6 .) at
/usr/local/lib/perl5/5.8.6/AutoLoader.pm line 160.



Any ideas?



Tia!



tj

Dan Sully
2005-03-08, 03:10
* Thomas J. Angstman shaped the electrons to say...

>I installed 6.0 by extracting the files to /usr/local/slimserver.
>
>Copied my old slimserver.sh into /usr/local/etc/rc.d - this simply runs
>slimserver.pl with the -daemon switch.
>
>Running the slimserver.sh script returns the following:

Hi TJ - we're not currently shipping with FreeBSD specific compiled modules -
as no one has been keeping them up to date. I believe someone on the list was
working on a port however. The quick fix is to install Compress::Zlib via
ports, or manually. In addition, DBI and DBD::SQLite are minimally required.

-D
--
<nil> It sucks to discover that you are the foremost authority on some set of things when you've got a problem.

mherger
2005-03-08, 04:19
On Tue, 8 Mar 2005 02:10:45 -0800, Dan Sully <dan (AT) slimdevices (DOT) com> wrote:

> * Thomas J. Angstman shaped the electrons to say...
>
>> I installed 6.0 by extracting the files to /usr/local/slimserver.
>>
>> Copied my old slimserver.sh into /usr/local/etc/rc.d - this simply runs
>> slimserver.pl with the -daemon switch.
>>
>> Running the slimserver.sh script returns the following:
>
> Hi TJ - we're not currently shipping with FreeBSD specific compiled
> modules -
> as no one has been keeping them up to date. I believe someone on the
> list was
> working on a port however. The quick fix is to install Compress::Zlib via
> ports, or manually. In addition, DBI and DBD::SQLite are minimally
> required.

Are these included for perl 5.8? I have compiled perl 5.8.6 for my SME
server, but no additional modules. When starting SlimServer it stops with
the message "Can't locate auto/DBI/connect_cac.al". Do I have do install
some DBI modules manually?


--

Michael

-----------------------------------------------------------
Help translate SlimServer by using the
SlimString Translation Helper (http://www.herger.net/slim/)

Dan Sully
2005-03-08, 09:53
* Michael Herger shaped the electrons to say...

>Are these included for perl 5.8? I have compiled perl 5.8.6 for my SME
>server, but no additional modules. When starting SlimServer it stops with
>the message "Can't locate auto/DBI/connect_cac.al". Do I have do install
>some DBI modules manually?

Yes.

-D
--
There was supposed to be a big kaboom.